{{- $architecture := or .architecture "amd64" }}
{{- $mirror := or .mirror "https://repositories.apertis.org/apertis/" -}}
{{- $suite := or .suite "v2022dev2" -}}
{{- $ospack := or .ospack "rootfs.tar.gz" -}}
{{- $timestamp := or .timestamp "00000000.0" -}}
{{- $stable := or .stable "" -}}
{{- $osname := or .osname "apertis" -}}

architecture: {{ $architecture }}

actions:
  - action: debootstrap
    suite: {{ $suite }}
    components:
      - target
    mirror: {{ $mirror }}
    variant: minbase
    keyring-package: {{ $osname }}-archive-keyring
    keyring-file: keyring/{{ $osname }}-archive-keyring.gpg
    merged-usr: false

  - action: overlay
    source: overlay

  - action: run
    description: "Add extra apt sources"
    chroot: true
    script: scripts/apt_source.sh -m {{ $mirror }} -r {{ $suite }} --sources {{if eq $stable "true"}} --updates --security {{end}} target development sdk

  - action: run
    chroot: true
    script: scripts/replace-gplv2-packages-for-dev-env.sh

  - action: run
    description: "Setting up image version metadata"
    chroot: true
    script: scripts/setup_image_version.chroot "$osname" {{ $suite }} {{ $timestamp }} collabora

  - action: pack
    compression: gz
    file: {{ $ospack }}
